Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.persistence.util
Class COSObjectKey

    java.lang.Object
      org.pdfbox.persistence.util.COSObjectKey

public class COSObjectKey
extends Object

Object representing the physical reference to an indirect pdf object.

Version:
  $Revision: 1.5 $
Author:
  Michael Traut

Constructor Summary
`COSObjectKey(COSObject object)` PDFObjectKey constructor comment.
`COSObjectKey(long num, long gen)` PDFObjectKey constructor comment.

Method Summary
`boolean` | `equals(Object obj)`
`long` | `getGeneration()` This will get the generation number.
`long` | `getNumber()` This will get the objects id.
`int` | `hashCode()`
`void` | `setGeneration(long newGeneration)` This will set the objects generation number.
`void` | `setNumber(long newNumber)` This will set the objects id.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### COSObjectKey

    public COSObjectKey(COSObject object)

  PDFObjectKey constructor comment.

Parameters:
  `object` - The object that this key will represent.

### COSObjectKey

    public COSObjectKey(long num,
                        long gen)

  PDFObjectKey constructor comment.

Parameters:
  `num` - The object number.
  `gen` - The object generation number.

Method Detail

### equals

    public boolean equals(Object obj)

### getGeneration

    public long getGeneration()

  This will get the generation number.

  Returns:
    The objects generation number.

### getNumber

    public long getNumber()

  This will get the objects id.

  Returns:
    The object's id.

### hashCode

    public int hashCode()

### setGeneration

    public void setGeneration(long newGeneration)

  This will set the objects generation number.

  Parameters:
    `newGeneration` - The objects generation number.

### setNumber

    public void setNumber(long newNumber)

  This will set the objects id.

  Parameters:
    `newNumber` - The objects number.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD